Subject: Re: git-svn: Finding the svn-URL of the current branch in git

From: Matthias Kleine <[email-masked]>
Date: Wed, 08 Aug 2007 20:51:55 +0200

Junio C Hamano wrote:
> Parents' order and which branch you are on may not have anything
> to do with each other.  Somebody else may have pulled a while on
> b, and you might have pulled from him the merge he created by
> doing so while you are on branch a.
> 

You're right, I didn't think of that. While pondering this I came up 
with another problem: git-svn currently remembers which svn-branch a 
commit belongs to by including this information in the git commit log 
message.
This way it is not possible to have one git-commit appear in more than 
one svn branch. Maybe it's better to store this git-commit->svn-branch 
mapping somewhere else. Although it's probably even better to completely 
switch to git :)

Matthias